Index: code/branches/FICN/src/orxonox/core/Factory.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Factory.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/Factory.h	(revision 708)
@@ -45,7 +45,8 @@
 
 #include <map>
-#include <string>
 
 #include "CorePrereqs.h"
+
+#include "misc/String.h"
 
 namespace orxonox
@@ -60,11 +61,11 @@
     {
         public:
-            static Identifier* getIdentifier(const std::string& name);
+            static Identifier* getIdentifier(const String& name);
             static Identifier* getIdentifier(const unsigned int id);
-            static void add(const std::string& name, Identifier* identifier);
+            static void add(const String& name, Identifier* identifier);
             static void changeNetworkID(Identifier* identifier, const unsigned int oldID, const unsigned int newID);
             static void createClassHierarchy();
 
-            static Factory* getFactoryPointer();// avoid overriding pointer_s in the static intialisation process
+            static Factory* getFactoryPointer();    // avoid overriding order problem in the static intialisation process
 
         private:
@@ -73,5 +74,5 @@
             ~Factory() {}                           // don't delete
 
-            std::map<std::string, Identifier*> identifierStringMap_;            //!< The map, mapping the name with the Identifier
+            std::map<String, Identifier*> identifierStringMap_;            //!< The map, mapping the name with the Identifier
             std::map<unsigned int, Identifier*> identifierNetworkIDMap_;        //!< The map, mapping the network ID with the Identifier
     };
Index: code/branches/FICN/src/orxonox/core/Identifier.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/Identifier.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/core/Identifier.cc	(revision 708)
@@ -118,7 +118,7 @@
         @returns a reference to the Identifier map, containing all Identifiers.
     */
-    std::map<std::string, Identifier*>& Identifier::getIdentifierMap()
+    std::map<String, Identifier*>& Identifier::getIdentifierMap()
     {
-        static std::map<std::string, Identifier*> identifierMapStaticReference = std::map<std::string, Identifier*>();
+        static std::map<String, Identifier*> identifierMapStaticReference = std::map<String, Identifier*>();
         return identifierMapStaticReference;
     }
Index: code/branches/FICN/src/orxonox/core/Identifier.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Identifier.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/Identifier.h	(revision 708)
@@ -52,9 +52,9 @@
 #define _Identifier_H__
 
-#include <string>
 #include <map>
 
 #include "CorePrereqs.h"
 
+#include "misc/String.h"
 #include "ObjectList.h"
 #include "IdentifierList.h"
@@ -112,5 +112,5 @@
 
             /** @returns the name of the class the Identifier belongs to. */
-            inline const std::string& getName() const { return this->name_; }
+            inline const String& getName() const { return this->name_; }
 
             /** @returns the parents of the class the Identifier belongs to. */
@@ -130,12 +130,12 @@
 
             /** @returns the ConfigValueContainer of a variable, given by the string of its name. @param varname The name of the variable */
-            inline ConfigValueContainer* getConfigValueContainer(const std::string& varname)
+            inline ConfigValueContainer* getConfigValueContainer(const String& varname)
                 { return this->configValues_[varname]; }
 
             /** @brief Sets the ConfigValueContainer of a variable, given by the string of its name. @param varname The name of the variablee @param container The container */
-            inline void setConfigValueContainer(const std::string& varname, ConfigValueContainer* container)
+            inline void setConfigValueContainer(const String& varname, ConfigValueContainer* container)
                 { this->configValues_[varname] = container; }
 
-            static std::map<std::string, Identifier*>& getIdentifierMap();
+            static std::map<String, Identifier*>& getIdentifierMap();
 
         private:
@@ -166,5 +166,5 @@
             IdentifierList* children_;                                  //!< The Children of the class the Identifier belongs to
 
-            std::string name_;                                          //!< The name of the class the Identifier belongs to
+            String name_;                                          //!< The name of the class the Identifier belongs to
 
             BaseFactory* factory_;                                      //!< The Factory, able to create new objects of the given class (if available)
@@ -172,5 +172,5 @@
             static int hierarchyCreatingCounter_s;                      //!< Bigger than zero if at least one Identifier stores its parents (its an int instead of a bool to avoid conflicts with multithreading)
             unsigned int classID_;                                      //!< The network ID to identify a class through the network
-            std::map<std::string, ConfigValueContainer*> configValues_; //!< A map to link the string of configurable variables with their ConfigValueContainer
+            std::map<String, ConfigValueContainer*> configValues_; //!< A map to link the string of configurable variables with their ConfigValueContainer
     };
 
@@ -189,8 +189,8 @@
     {
         public:
-            static ClassIdentifier<T>* registerClass(const IdentifierList* parents, const std::string& name, bool bRootClass);
+            static ClassIdentifier<T>* registerClass(const IdentifierList* parents, const String& name, bool bRootClass);
             static void addObject(T* object);
             static ClassIdentifier<T>* getIdentifier();
-            void setName(const std::string& name);
+            void setName(const String& name);
 
         private:
@@ -221,5 +221,5 @@
     */
     template <class T>
-    ClassIdentifier<T>* ClassIdentifier<T>::registerClass(const IdentifierList* parents, const std::string& name, bool bRootClass)
+    ClassIdentifier<T>* ClassIdentifier<T>::registerClass(const IdentifierList* parents, const String& name, bool bRootClass)
     {
         COUT(4) << "*** Register Class in " << name << "-Singleton." << std::endl;
@@ -265,5 +265,5 @@
     */
     template <class T>
-    void ClassIdentifier<T>::setName(const std::string& name)
+    void ClassIdentifier<T>::setName(const String& name)
     {
         // Make sure we didn't already set the name, to avoid duplicate entries in the Identifier map
@@ -271,5 +271,5 @@
         {
             this->name_ = name;
-            this->getIdentifierMap().insert(std::pair<std::string, Identifier*>(name, this));
+            this->getIdentifierMap().insert(std::pair<String, Identifier*>(name, this));
             this->bSetName_ = true;
         }
Index: code/branches/FICN/src/orxonox/core/IdentifierList.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/IdentifierList.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/core/IdentifierList.cc	(revision 708)
@@ -31,6 +31,6 @@
 */
 
+#include "Identifier.h"
 #include "IdentifierList.h"
-#include "Identifier.h"
 
 namespace orxonox
@@ -130,8 +130,8 @@
         @returns a string, containing a list of the names of all Identifiers in the list.
     */
-    std::string IdentifierList::toString() const
+    String IdentifierList::toString() const
     {
         IdentifierListElement* temp = this->first_;
-        std::string output = "";
+        String output = "";
 
         while (temp)
Index: code/branches/FICN/src/orxonox/core/IdentifierList.h
===================================================================
--- code/branches/FICN/src/orxonox/core/IdentifierList.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/IdentifierList.h	(revision 708)
@@ -37,7 +37,7 @@
 #define _IdentifierList_H__
 
-#include <string>
+#include "CorePrereqs.h"
 
-#include "CorePrereqs.h"
+#include "misc/String.h"
 
 namespace orxonox
@@ -62,5 +62,5 @@
             void remove(const Identifier* identifier);
             bool isInList(const Identifier* identifier) const;
-            std::string toString() const;
+            String toString() const;
 
             IdentifierListElement* first_;      //!< The first element in the list
Index: code/branches/FICN/src/orxonox/core/Language.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/Language.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/core/Language.cc	(revision 708)
@@ -28,6 +28,6 @@
 #include <fstream>
 
+#include "CoreIncludes.h"
 #include "Language.h"
-#include "CoreIncludes.h"
 
 namespace orxonox
@@ -36,5 +36,5 @@
     // ###      LanguageEntry      ###
     // ###############################
-    LanguageEntry::LanguageEntry(const std::string& fallbackEntry)
+    LanguageEntry::LanguageEntry(const String& fallbackEntry)
     {
         RegisterRootObject(LanguageEntry);
@@ -44,5 +44,5 @@
     }
 
-    void LanguageEntry::setTranslation(const std::string& translation)
+    void LanguageEntry::setTranslation(const String& translation)
     {
         if (translation.compare("") != 0)
@@ -52,5 +52,5 @@
     }
 
-    void LanguageEntry::setDefault(const std::string& fallbackEntry)
+    void LanguageEntry::setDefault(const String& fallbackEntry)
     {
         if (this->translatedEntry_.compare(this->fallbackEntry_) == 0)
@@ -85,5 +85,5 @@
     }
 
-    void Language::createEntry(const LanguageEntryName& name, const std::string& entry)
+    void Language::createEntry(const LanguageEntryName& name, const String& entry)
     {
         if (!this->languageEntries_[name])
@@ -99,7 +99,7 @@
     }
 
-    void Language::addEntry(const LanguageEntryName& name, const std::string& entry)
-    {
-        std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
+    void Language::addEntry(const LanguageEntryName& name, const String& entry)
+    {
+        std::map<String, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
         if (!it->second)
             this->createEntry(name, entry);
@@ -112,7 +112,7 @@
     }
 
-    const std::string& Language::getTranslation(const LanguageEntryName& name) const
-    {
-        std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
+    const String& Language::getTranslation(const LanguageEntryName& name) const
+    {
+        std::map<String, LanguageEntry*>::const_iterator it = this->languageEntries_.find(name);
         if (it->second)
             return it->second->getTranslation();
@@ -124,7 +124,7 @@
     }
 
-    const std::string Language::getFileName(const std::string& language)
-    {
-        return std::string("translation_" + language + ".lang");
+    const String Language::getFileName(const String& language)
+    {
+        return String("translation_" + language + ".lang");
     }
 
@@ -154,5 +154,5 @@
         {
             file.getline(line, 1024);
-            std::string lineString = std::string(line);
+            String lineString = String(line);
             if (lineString.compare("") != 0)
             {
@@ -190,5 +190,5 @@
         {
             file.getline(line, 1024);
-            std::string lineString = std::string(line);
+            String lineString = String(line);
             if (lineString.compare("") != 0)
             {
@@ -196,5 +196,5 @@
                 if (pos < lineString.size() && lineString.size() >= 3)
                 {
-                    std::map<std::string, LanguageEntry*>::const_iterator it = this->languageEntries_.find(lineString.substr(0, pos));
+                    std::map<String, LanguageEntry*>::const_iterator it = this->languageEntries_.find(lineString.substr(0, pos));
                     if (it->second)
                         it->second->setTranslation(lineString.substr(pos + 1));
Index: code/branches/FICN/src/orxonox/core/Language.h
===================================================================
--- code/branches/FICN/src/orxonox/core/Language.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/Language.h	(revision 708)
@@ -29,31 +29,31 @@
 #define _Language_H__
 
-#include <string>
 #include <map>
 
 #include "CorePrereqs.h"
 
+#include "misc/String.h"
 #include "OrxonoxClass.h"
 
 namespace orxonox
 {
-    typedef std::string LanguageEntryName;
+    typedef String LanguageEntryName;
 
     class _CoreExport LanguageEntry : public OrxonoxClass
     {
         public:
-            explicit LanguageEntry(const std::string& fallbackEntry);
-            void setTranslation(const std::string& translation);
-            void setDefault(const std::string& fallbackEntry);
+            explicit LanguageEntry(const String& fallbackEntry);
+            void setTranslation(const String& translation);
+            void setDefault(const String& fallbackEntry);
 
-            inline const std::string& getTranslation()
+            inline const String& getTranslation()
                 { return this->translatedEntry_; }
 
-            inline const std::string& getDefault()
+            inline const String& getDefault()
                 { return this->fallbackEntry_; }
 
         private:
-            std::string fallbackEntry_;
-            std::string translatedEntry_;
+            String fallbackEntry_;
+            String translatedEntry_;
     };
 
@@ -63,6 +63,6 @@
             static Language& getLanguage();
             void setConfigValues();
-            void addEntry(const LanguageEntryName& name, const std::string& entry);
-            const std::string& getTranslation(const LanguageEntryName& name) const;
+            void addEntry(const LanguageEntryName& name, const String& entry);
+            const String& getTranslation(const LanguageEntryName& name) const;
 
         private:
@@ -74,11 +74,11 @@
             void readTranslatedLanguageFile();
             void writeDefaultLanguageFile() const;
-            static const std::string getFileName(const std::string& language);
-            void createEntry(const LanguageEntryName& name, const std::string& entry);
+            static const String getFileName(const String& language);
+            void createEntry(const LanguageEntryName& name, const String& entry);
 
-            std::string language_;
-            std::string defaultLanguage_;
-            std::string defaultTranslation_;
-            std::map<std::string, LanguageEntry*> languageEntries_;
+            String language_;
+            String defaultLanguage_;
+            String defaultTranslation_;
+            std::map<String, LanguageEntry*> languageEntries_;
     };
 }
Index: code/branches/FICN/src/orxonox/core/OrxonoxClass.h
===================================================================
--- code/branches/FICN/src/orxonox/core/OrxonoxClass.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/OrxonoxClass.h	(revision 708)
@@ -37,8 +37,7 @@
 #define _OrxonoxClass_H__
 
-#include <string>
-
 #include "CorePrereqs.h"
 
+#include "misc/String.h"
 #include "MetaObjectList.h"
 #include "Identifier.h"
@@ -133,8 +132,8 @@
 
             /** @brief Sets the name of the object. @param name The name */
-            inline virtual void setName(const std::string& name) { this->name_ = name; }
+            inline virtual void setName(const String& name) { this->name_ = name; }
 
             /** @returns the name of the object. */
-            inline const std::string& getName() const { return this->name_; }
+            inline const String& getName() const { return this->name_; }
 
             /** @brief Sets the state of the objects activity. @param bActive True = active */
@@ -155,5 +154,5 @@
             MetaObjectList metaList_;       //!< MetaObjectList, containing all ObjectLists and ObjectListElements the object is registered in
 
-            std::string name_;              //!< The name of the object
+            String name_;              //!< The name of the object
             bool bActive_;                  //!< True = the object is active
             bool bVisible_;                 //!< True = the object is visible
Index: code/branches/FICN/src/orxonox/core/OutputHandler.cc
===================================================================
--- code/branches/FICN/src/orxonox/core/OutputHandler.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/core/OutputHandler.cc	(revision 708)
@@ -26,6 +26,6 @@
  */
 
+#include "DebugLevel.h"
 #include "OutputHandler.h"
-#include "DebugLevel.h"
 
 namespace orxonox
@@ -35,5 +35,5 @@
         @param logfilename The name of the logfile
     */
-    OutputHandler::OutputHandler(const std::string& logfilename)
+    OutputHandler::OutputHandler(const String& logfilename)
     {
         this->logfilename_ = logfilename;
Index: code/branches/FICN/src/orxonox/core/OutputHandler.h
===================================================================
--- code/branches/FICN/src/orxonox/core/OutputHandler.h	(revision 707)
+++ code/branches/FICN/src/orxonox/core/OutputHandler.h	(revision 708)
@@ -37,9 +37,9 @@
 #define _OutputHandler_H__
 
-#include "CorePrereqs.h"
-
 #include <iostream>
 #include <fstream>
-#include <string>
+
+#include "misc/String.h"
+#include "CorePrereqs.h"
 
 namespace orxonox
@@ -108,9 +108,9 @@
 
         private:
-            explicit OutputHandler(const std::string& logfilename);
+            explicit OutputHandler(const String& logfilename);
             OutputHandler(const OutputHandler& oh) {}; // don't copy
             virtual ~OutputHandler();
             std::ofstream logfile_;     //!< The logfile where the output is logged
-            std::string logfilename_;   //!< The name of the logfile
+            String logfilename_;   //!< The name of the logfile
             int outputLevel_;           //!< The level of the incoming output
     };
Index: code/branches/FICN/src/orxonox/hud/HUD.cc
===================================================================
--- code/branches/FICN/src/orxonox/hud/HUD.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/hud/HUD.cc	(revision 708)
@@ -1,28 +1,28 @@
 /*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Yuning Chai
- *   Co-authors:
- *      ...
- *
- */
+*   ORXONOX - the hottest 3D action shooter ever to exist
+*
+*
+*   License notice:
+*
+*   This program is free software; you can redistribute it and/or
+*   modify it under the terms of the GNU General Public License
+*   as published by the Free Software Foundation; either version 2
+*   of the License, or (at your option) any later version.
+*
+*   This program is distributed in the hope that it will be useful,
+*   but WITHOUT ANY WARRANTY; without even the implied warranty of
+*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+*   GNU General Public License for more details.
+*
+*   You should have received a copy of the GNU General Public License
+*   along with this program; if not, write to the Free Software
+*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+*
+*   Author:
+*      Yuning Chai
+*   Co-authors:
+*      ...
+*
+*/
 
 #include <OgreOverlayManager.h>
@@ -33,5 +33,6 @@
 
 
-namespace hud {
+namespace orxonox
+{
   using namespace Ogre;
 
@@ -179,5 +180,5 @@
       primarChoice_->setLeft(101);
       primarChoice_->setWidth(48);
-      }
+    }
   }
 
Index: code/branches/FICN/src/orxonox/hud/HUD.h
===================================================================
--- code/branches/FICN/src/orxonox/hud/HUD.h	(revision 707)
+++ code/branches/FICN/src/orxonox/hud/HUD.h	(revision 708)
@@ -1,28 +1,28 @@
 /*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Yuning Chai
- *   Co-authors:
- *      ...
- *
- */
+*   ORXONOX - the hottest 3D action shooter ever to exist
+*
+*
+*   License notice:
+*
+*   This program is free software; you can redistribute it and/or
+*   modify it under the terms of the GNU General Public License
+*   as published by the Free Software Foundation; either version 2
+*   of the License, or (at your option) any later version.
+*
+*   This program is distributed in the hope that it will be useful,
+*   but WITHOUT ANY WARRANTY; without even the implied warranty of
+*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+*   GNU General Public License for more details.
+*
+*   You should have received a copy of the GNU General Public License
+*   along with this program; if not, write to the Free Software
+*   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+*
+*   Author:
+*      Yuning Chai
+*   Co-authors:
+*      ...
+*
+*/
 
 #ifndef _HUD_H__
@@ -31,9 +31,13 @@
 #include <OgrePrerequisites.h>
 
-//#include "../OrxonoxPrereqs.h"
+#include "../OrxonoxPrereqs.h"
+
+#include "misc/String.h"
 
 
-namespace hud {
-  class HUD {
+namespace orxonox
+{
+  class HUD
+  {
   private:
     Ogre::OverlayElement* timeText_;
@@ -57,6 +61,6 @@
     int timeSec_;
 
-    Ogre::String targetWindowName_;
-    Ogre::String targetWindowStatus_;
+    String targetWindowName_;
+    String targetWindowStatus_;
     int targetWindowDistance_;
     int targetWindowHitRating_;
@@ -89,6 +93,6 @@
 
     void setTime(int i, int j);
-    void setTargetWindowName(Ogre::String i);
-    void setTargetWindowStatus(Ogre::String i);
+    void setTargetWindowName(String i);
+    void setTargetWindowStatus(String i);
     void setTargetWindowDistance(int i);
     void setTargetWindowHitRating(int i);
Index: code/branches/FICN/src/orxonox/objects/Ambient.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/Ambient.cc	(revision 708)
@@ -26,12 +26,16 @@
  */
 
+#include <vector>
+
 #include <OgreSceneManager.h>
-#include <string>
 
+#include "tinyxml/tinyxml.h"
+#include "misc/Tokenizer.h"
+#include "misc/String2Number.h"
+#include "misc/ColourValue.h"
+#include "misc/String.h"
+#include "../core/Debug.h"
+#include "../core/CoreIncludes.h"
 #include "../Orxonox.h"
-#include "../../tinyxml/tinyxml.h"
-#include "../../misc/Tokenizer.h"
-#include "../../misc/String2Number.h"
-#include "../core/Debug.h"
 
 #include "Ambient.h"
@@ -57,5 +61,5 @@
     	{
 
-	    	std::vector<std::string> colourvalues = tokenize(xmlElem->Attribute("colourvalue"),",");
+	    	std::vector<String> colourvalues = tokenize(xmlElem->Attribute("colourvalue"),",");
 	    	float r, g, b;
     	 	String2Number<float>(r, colourvalues[0]);
Index: code/branches/FICN/src/orxonox/objects/Ambient.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Ambient.h	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/Ambient.h	(revision 708)
@@ -2,6 +2,7 @@
 #define _Ambient_H__
 
+#include "../OrxonoxPrereqs.h"
+
 #include "BaseObject.h"
-#include "../../tinyxml/tinyxml.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/BaseObject.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/BaseObject.cc	(revision 708)
@@ -30,4 +30,7 @@
     @brief Implementation of the BaseObject class.
 */
+
+#include "tinyxml/tinyxml.h"
+#include "../core/CoreIncludes.h"
 
 #include "BaseObject.h"
Index: code/branches/FICN/src/orxonox/objects/BaseObject.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BaseObject.h	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/BaseObject.h	(revision 708)
@@ -9,6 +9,7 @@
 #define _BaseObject_H__
 
-#include "../core/CoreIncludes.h"
-#include "tinyxml/tinyxml.h"
+#include "../OrxonoxPrereqs.h"
+
+#include "../core/OrxonoxClass.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.cc	(revision 708)
@@ -28,6 +28,11 @@
 #include <sstream>
 
+#include <OgreSceneManager.h>
+
+#include "../Orxonox.h"
+#include "misc/Vector3.h"
+#include "misc/ColourValue.h"
+
 #include "BillboardSet.h"
-#include "../Orxonox.h"
 
 namespace orxonox
@@ -40,5 +45,5 @@
     }
 
-    void BillboardSet::setBillboardSet(const std::string& file, const Ogre::ColourValue& colour, int count, const Ogre::Vector3& position)
+    void BillboardSet::setBillboardSet(const String& file, const ColourValue& colour, int count, const Vector3& position)
     {
         std::ostringstream name;
Index: code/branches/FICN/src/orxonox/objects/BillboardSet.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/BillboardSet.h	(revision 708)
@@ -2,7 +2,12 @@
 #define _BillboardSet_H__
 
-#include <string>
+#include <OgreBillboardSet.h>
 
-#include "OgreBillboardSet.h"
+#include "../OrxonoxPrereqs.h"
+
+#include "misc/String.h"
+#include "../core/CoreIncludes.h"
+#include "misc/ColourValue.h"
+#include "misc/Vector3.h"
 
 namespace orxonox
@@ -13,10 +18,10 @@
             BillboardSet();
             ~BillboardSet();
-            void setBillboardSet(const std::string& file, const Ogre::ColourValue& colour = Ogre::ColourValue(1.0, 1.0, 1.0), int count = 1, const Ogre::Vector3& position = Ogre::Vector3::ZERO);
+            void setBillboardSet(const String& file, const ColourValue& colour = ColourValue(1.0, 1.0, 1.0), int count = 1, const Vector3& position = Vector3::ZERO);
 
             inline Ogre::BillboardSet* getBillboardSet()
                 { return this->billboardSet_; }
 
-            inline const std::string& getName() const
+            inline const String& getName() const
                 { return this->billboardSet_->getName(); }
 
Index: code/branches/FICN/src/orxonox/objects/Camera.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/Camera.cc	(revision 708)
@@ -3,13 +3,15 @@
 #include <OgreRoot.h>
 #include <OgreRenderWindow.h>
+#include <OgreViewport.h>
 
-#include <string>
-
+#include "tinyxml/tinyxml.h"
+#include "misc/Tokenizer.h"
+#include "misc/String2Number.h"
+#include "misc/Vector3.h"
+#include "misc/String.h"
+#include "../core/Debug.h"
+#include "../core/CoreIncludes.h"
 #include "../Orxonox.h"
 #include "../GraphicsEngine.h"
-#include "../../tinyxml/tinyxml.h"
-#include "../../misc/Tokenizer.h"
-#include "../../misc/String2Number.h"
-#include "../core/Debug.h"
 
 #include "Camera.h"
@@ -36,13 +38,13 @@
         //    <Camera name="Camera" pos="0,0,-250" lookat="0,0,0" />
 
-        std::string name = xmlElem->Attribute("name");
-        std::string pos = xmlElem->Attribute("pos");
-        std::string lookat = xmlElem->Attribute("lookat");
+        String name = xmlElem->Attribute("name");
+        String pos = xmlElem->Attribute("pos");
+        String lookat = xmlElem->Attribute("lookat");
 
         Ogre::Camera *cam = mgr->createCamera(name);
 
         float x, y, z;
-        std::vector<std::string> posVec = tokenize(xmlElem->Attribute("pos"),",");
-         String2Number<float>(x, posVec[0]);
+        std::vector<String> posVec = tokenize(xmlElem->Attribute("pos"),",");
+        String2Number<float>(x, posVec[0]);
         String2Number<float>(y, posVec[1]);
         String2Number<float>(z, posVec[2]);
@@ -57,5 +59,5 @@
         cam->lookAt(Vector3(x,y,z));
 
-        std::string node = xmlElem->Attribute("node");
+        String node = xmlElem->Attribute("node");
 
         Ogre::SceneNode* sceneNode = (Ogre::SceneNode*)mgr->getRootSceneNode()->createChildSceneNode(node); //getChild(node);
Index: code/branches/FICN/src/orxonox/objects/Camera.h
===================================================================
--- code/branches/FICN/src/orxonox/objects/Camera.h	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/Camera.h	(revision 708)
@@ -2,6 +2,7 @@
 #define _Camera_H__
 
+#include "../OrxonoxPrereqs.h"
+
 #include "BaseObject.h"
-#include "../../tinyxml/tinyxml.h"
 
 namespace orxonox
Index: code/branches/FICN/src/orxonox/objects/Explosion.cc
===================================================================
--- code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 707)
+++ code/branches/FICN/src/orxonox/objects/Explosion.cc	(revision 708)
@@ -26,6 +26,14 @@
  */
 
+#include <OgreParticleSystem.h>
+#include <OgreSceneManager.h>
+#include <OgreSceneNode.h>
+
+#include "../core/CoreIncludes.h"
+#include "misc/ColourValue.h"
+#include "../Orxonox.h"
+#include "../particle/ParticleInterface.h"
+
 #include "Explosion.h"
-#include "../Orxonox.h"
 
 namespace orxonox
@@ -46,5 +54,5 @@
             Vector3 position = owner->getNode()->getWorldPosition();
 
-            this->particle_ = new particle::ParticleInterface(Orxonox::getSingleton()->getSceneManager(), "explosion" + this->getName(), "Orxonox/treibwerk");
+            this->particle_ = new ParticleInterface(Orxonox::getSingleton()->getSceneManager(), "explosion" + this->getName(), "Orxonox/treibwerk");
             this->particle_->getParticleSystem()->setParameter("local_space", "true");
             this->particle_->newEmitter();
